Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Vec4b Class Reference

General purpose float triple. More...

List of all members.

## Public Types
typedef char | value_type
| Type of Vec class.
enum | { num_components = 4 }
| Number of vector components. More...
## Public Member Functions
| Vec4b ()
| Vec4b (value_type x, value_type y, value_type z, value_type w)
bool | operator== (const Vec4b &v) const
bool | operator!= (const Vec4b &v) const
bool | operator< (const Vec4b &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type x, value_type y, value_type z, value_type w)
value_type & | operator[] (unsigned int i)
value_type | operator[] (unsigned int i) const
value_type & | x ()
value_type & | y ()
value_type & | z ()
value_type & | w ()
value_type | x () const
value_type | y () const
value_type | z () const
value_type | w () const
value_type & | r ()
value_type & | g ()
value_type & | b ()
value_type & | a ()
value_type | r () const
value_type | g () const
value_type | b () const
value_type | a () const
Vec4b | operator * (float rhs) const
| Multiply by scalar.
Vec4b & | operator *= (float rhs)
| Unary multiply by scalar.
Vec4b | operator/ (float rhs) const
| Divide by scalar.
Vec4b & | operator/= (float rhs)
| Unary divide by scalar.
Vec4b | operator+ (const Vec4b &rhs) const
| Binary vector add.
Vec4b & | operator+= (const Vec4b &rhs)
| Unary vector add.
Vec4b | operator- (const Vec4b &rhs) const
| Binary vector subtract.
Vec4b & | operator-= (const Vec4b &rhs)
| Unary vector subtract.
## Public Attributes
value_type | _v [4]
| Vec member varaible.

## Detailed Description

General purpose float triple.

Uses include representation of color coordinates. No support yet added for float * Vec4b - is it necessary? Need to define a non-member non-friend operator* etc. Vec4b * float is okay

## Member Typedef Documentation

typedef char osg::Vec4b::value_type

| Type of Vec class.

## Member Enumeration Documentation

anonymous enum

  | Number of vector components. Enumeration values:
  num_components |

## Constructor & Destructor Documentation

osg::Vec4b::Vec4b | ( |  | ) | `[inline]`

osg::Vec4b::Vec4b | ( | value_type | x,
|  | value_type | y,
|  | value_type | z,
|  | value_type | w
| ) | `[inline]`

## Member Function Documentation

value_type osg::Vec4b::a | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::a | ( |  | ) | `[inline]`

value_type osg::Vec4b::b | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::b | ( |  | ) | `[inline]`

value_type osg::Vec4b::g | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::g | ( |  | ) | `[inline]`

Vec4b osg::Vec4b::operator * | ( | float | rhs | ) | const`[inline]`

| Multiply by scalar.

Vec4b& osg::Vec4b::operator *= | ( | float | rhs | ) | `[inline]`

| Unary multiply by scalar.

bool osg::Vec4b::operator!= | ( | const Vec4b & | v | ) | const`[inline]`

Vec4b osg::Vec4b::operator+ | ( | const Vec4b & | rhs | ) | const`[inline]`

| Binary vector add.

Vec4b& osg::Vec4b::operator+= | ( | const Vec4b & | rhs | ) | `[inline]`

| Unary vector add. Slightly more efficient because no temporary intermediate object.

Vec4b osg::Vec4b::operator- | ( | const Vec4b & | rhs | ) | const`[inline]`

| Binary vector subtract.

Vec4b& osg::Vec4b::operator-= | ( | const Vec4b & | rhs | ) | `[inline]`

| Unary vector subtract.

Vec4b osg::Vec4b::operator/ | ( | float | rhs | ) | const`[inline]`

| Divide by scalar.

Vec4b& osg::Vec4b::operator/= | ( | float | rhs | ) | `[inline]`

| Unary divide by scalar.

bool osg::Vec4b::operator< | ( | const Vec4b & | v | ) | const`[inline]`

bool osg::Vec4b::operator== | ( | const Vec4b & | v | ) | const`[inline]`

value_type osg::Vec4b::operator[] | ( | unsigned int | i | ) | const`[inline]`

value_type& osg::Vec4b::operator[] | ( | unsigned int | i | ) | `[inline]`

const value_type* osg::Vec4b::ptr | ( |  | ) | const`[inline]`

value_type* osg::Vec4b::ptr | ( |  | ) | `[inline]`

value_type osg::Vec4b::r | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::r | ( |  | ) | `[inline]`

void osg::Vec4b::set | ( | value_type | x,
|  | value_type | y,
|  | value_type | z,
|  | value_type | w
| ) | `[inline]`

value_type osg::Vec4b::w | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::w | ( |  | ) | `[inline]`

value_type osg::Vec4b::x | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::x | ( |  | ) | `[inline]`

value_type osg::Vec4b::y | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::y | ( |  | ) | `[inline]`

value_type osg::Vec4b::z | ( |  | ) | const`[inline]`

value_type& osg::Vec4b::z | ( |  | ) | `[inline]`

## Member Data Documentation

value_type osg::Vec4b::_v[4]

| Vec member varaible.

The documentation for this class was generated from the following file:

- Vec4b